> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evento refund.failed

> Evento refund.failed.

## Evento `refund.failed`

Disparado quando um `refund` chega ao estado `failed`. `data.object` usa o
mesmo shape de [`GET /v1/refunds/:id`](/api-reference/refunds/get).

<ResponseExample>
  ```json 200 theme={}
  {
    "id": "evt_123",
    "object": "event",
    "created_at": "2026-05-20T18:36:00Z",
    "data": {
      "object": {
        "id": "re_123",
        "object": "refund",
        "amount": 5000,
        "balance_transaction": null,
        "charge": "ch_123",
        "created_at": "2026-05-20T18:35:00Z",
        "currency": "brl",
        "customer": "cus_123",
        "description": null,
        "destination_details": null,
        "failure_balance_transaction": null,
        "failure_reason": "unknown",
        "instructions_email": null,
        "livemode": true,
        "metadata": {},
        "next_action": null,
        "payment_intent": "pi_123",
        "pending_reason": null,
        "reason": "requested_by_customer",
        "receipt_number": null,
        "source_transfer_reversal": null,
        "status": "failed",
        "transfer_reversal": null,
        "updated_at": "2026-05-20T18:36:00Z"
      }
    },
    "livemode": true,
    "organization": "org_123",
    "request": {
      "id": null
    },
    "type": "refund.failed"
  }
  ```
</ResponseExample>
